# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Mar 27 17:58:51 2024
# ------------------------------------------------

package:
  name: conda-lock
  version: 2.5.6
source:
  sha256: 323db8b6438b46648c4ba4dab81547851ee8266dbe913680f7837c94cc5f1023
  url: https://pypi.io/packages/source/c/conda-lock/conda_lock-2.5.6.tar.gz
build:
  entry_points:
    - conda-lock = conda_lock:main
  number: '0'
  script: /croot/conda-lock_1711562344979/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py310hd43f75c_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 h998d150_5
    - ca-certificates 2024.3.11 hd43f75c_0
    - editables 0.3 py310hd43f75c_0
    - hatch-vcs 0.3.0 py310hd43f75c_0
    - hatchling 1.21.1 py310hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_0
    - packaging 23.2 py310hd43f75c_0
    - pathspec 0.10.3 py310hd43f75c_0
    - pip 23.3.1 py310hd43f75c_0
    - pluggy 1.0.0 py310hd43f75c_1
    - python 3.10.14 h4bb2201_0
    - readline 8.2 h998d150_0
    - setuptools 68.2.2 py310hd43f75c_0
    - setuptools-scm 8.0.4 py310hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - tomli 2.0.1 py310hd43f75c_0
    - trove-classifiers 2023.10.18 py310hd43f75c_0
    - typing-extensions 4.9.0 py310hd43f75c_1
    - typing_extensions 4.9.0 py310hd43f75c_1
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py310hd43f75c_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - cachecontrol-with-filecache >=0.12.9
    - cachy >=0.3.0
    - click >=8.0
    - click-default-group
    - clikit >=0.6.2
    - crashtest >=0.3.0
    - ensureconda >=1.4.4
    - gitpython >=3.1.30
    - html5lib >=1.0
    - jinja2
    - keyring >=21.2.0
    - packaging >=20.4
    - pkginfo >=1.4
    - pydantic >=1.10
    - python >=3.10,<3.11.0a0
    - pyyaml >=5.1
    - requests >=2.18
    - ruamel.yaml
    - tomli
    - tomlkit >=0.7.0
    - toolz >=0.12.0,<1.0.0
    - typing_extensions
    - urllib3 >=1.26.5,<2.0
    - virtualenv >=20.0.26
test:
  commands:
    - pip check
    - conda-lock --help
  imports:
    - conda_lock
    - conda_lock.models
    - conda_lock.src_parser
  requires:
    - pip
about:
  description: 'Conda lock is a lightweight library that can be used to generate fully

    reproducible lock files for conda environments.

    It does this by performing multiple solves for conda targeting a set of

    platforms you desire lockfiles for.

    This also has the added benefit of acting as an external presolve for conda

    as the lockfiles it generates results in the conda solver not being invoked

    when installing the packages from the generated lockfile.

    '
  dev_url: https://github.com/conda/conda-lock
  doc_url: https://conda.github.io/conda-lock/
  home: https://github.com/conda/conda-lock
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Lightweight lockfile for conda environments
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: e828ab19-a01c-4d27-8ea3-dcc1fa7f34c7
  recipe-maintainers:
    - bollwyvl
    - mariusvniekerk
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/conda-lock-feedstock.git
  sha: 77f04c0230ea2f11a02c52c0f6cefaf4fcd04c2d
